#### LyricEvent

A lyric syllable. Must be entered in lyrics mode, i.e. `\lyrics { twinkle4 twinkle4 }` .

Music types: general-music, rhythmic-event, lyric-event and event

Accepted by: Lyric_engraver, Lyric_performer, Swallow_engraver and Swallow_performer

Properties:

`name` (symbol):
  `'LyricEvent`

  Name of this music object

`internal-class-name` (string):
  `Event`

  C++ class to use for this Music object

`types` (list):
  `'(general-music rhythmic-event lyric-event event)`

  The types of this music object; determines by what engraver this music expression is processed.

Read comments on this page, or add one. This page is for LilyPond-2.2.2 (stable-branch).